## Container - Script

Container - Script — A container class for Script subtag

## Functions

lt_script_t * | lt_script_ref ()
void | lt_script_unref ()
const char * | lt_script_get_name ()
const char * | lt_script_get_tag ()
void | lt_script_dump ()
const char * | lt_script_convert_to_modifier ()
lt_bool_t | lt_script_compare ()

## Types and Values

| lt_script_t

## Description

This container class provides a data access to Script subtag entry.

## Functions

### lt_script_ref ()

    lt_script_t *
    lt_script_ref (lt_script_t *script);

Increases the reference count of `script` .

#### Parameters

script | a lt_script_t. |

#### Returns

the same `script` object.

[transfer none]

### lt_script_unref ()

    void
    lt_script_unref (lt_script_t *script);

Decreases the reference count of `script` . when its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

script | a lt_script_t. |

### lt_script_get_name ()

    const char *
    lt_script_get_name (const lt_script_t *script);

Obtains the description of the subtag.

#### Parameters

script | a lt_script_t. |

#### Returns

a description string.

### lt_script_get_tag ()

    const char *
    lt_script_get_tag (const lt_script_t *script);

Obtains the tag name.

#### Parameters

script | a lt_script_t. |

#### Returns

a tag string.

### lt_script_dump ()

    void
    lt_script_dump (const lt_script_t *script);

Dumps the container information to the standard output.

#### Parameters

script | a lt_script_t. |

### lt_script_convert_to_modifier ()

    const char *
    lt_script_convert_to_modifier (const lt_script_t *script);

Convert the script subtag to the locale variant modifier.

#### Parameters

script | a lt_script_t. |

#### Returns

a modifier string or `NULL`.

### lt_script_compare ()

    lt_bool_t
    lt_script_compare (const lt_script_t *v1,
                       const lt_script_t *v2);

Compare if `v1` and `v2` is the same object or not.

#### Parameters

v1 | a lt_script_t. |
v2 | a lt_script_t. |

#### Returns

`TRUE` if it's the same, otherwise `FALSE`.

## Types and Values

### lt_script_t

    typedef struct _lt_script_t lt_script_t;

All the fields in the lt_script_t structure are private to the lt_script_t implementation.